#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export CFLAGS := $(CFLAGS) -Wno-format-truncation -Wno-stringop-truncation

%:
	dh $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	./cleanup

.PHONY: override_dh_autoreconf
override_dh_autoreconf:
	./autogen.sh
	dh_autoreconf
